Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.matching.converter
Class MatchTupleConverter.ChildInfo

    java.lang.Object
      com.sun.mdm.index.matching.converter.MatchTupleConverter.ChildInfo

Enclosing class:
  MatchTupleConverter

class MatchTupleConverter.ChildInfo
extends java.lang.Object

Utility class to return structured info from methods regarding the object node type of a child, mapping from the object node type to the corresponding ePath The lack of accessors is by design for performance reasons. The use of these classes is in the spirit of 'structs'

Field Summary
`protected java.util.ArrayList` | `ePaths`
`protected java.lang.String` | `type`

Constructor Summary
`MatchTupleConverter.ChildInfo()`
`MatchTupleConverter.ChildInfo(java.lang.String aType, java.util.ArrayList ePaths)`

Method Summary
`boolean` | `equals(java.lang.Object objToCompare)` ChildInfo is considered equals if they type String is the same
`int` | `hashCode()` Calculate the hashcode of this object, based on the equals definition above, just based on the type

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ePaths

    protected java.util.ArrayList ePaths

### type

    protected java.lang.String type

Constructor Detail

### MatchTupleConverter.ChildInfo

    public MatchTupleConverter.ChildInfo()

### MatchTupleConverter.ChildInfo

    public MatchTupleConverter.ChildInfo(java.lang.String aType,
                                         java.util.ArrayList ePaths)

Method Detail

### equals

    public boolean equals(java.lang.Object objToCompare)

  ChildInfo is considered equals if they type String is the same

  Parameters:
    `objToCompare` - the object to compare against. Either a String or another ChildInfo object

### hashCode

    public int hashCode()

  Calculate the hashcode of this object, based on the equals definition above, just based on the type

  Returns:
    the hashcode

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.